PluginQuery File Reference
`#include <osgDB/Export>`
`#include <osgDB/ReaderWriter>`
`#include <osg/Referenced>`
`#include <osg/ref_ptr>`
`#include <list>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osgDB::ReaderWriterInfo

## Namespaces

namespace | osgDB

## Macros

#define | PLUGINQUERY_H

## Typedefs

typedef std::list< std::string > | osgDB::FileNameList
typedef std::list< osg::ref_ptr< ReaderWriterInfo > > | osgDB::ReaderWriterInfoList

## Functions

FileNameList OSGDB_EXPORT | osgDB::listAllAvailablePlugins ()
bool OSGDB_EXPORT | osgDB::queryPlugin (const std::string &fileName, ReaderWriterInfoList &infoList)
bool OSGDB_EXPORT | osgDB::outputPluginDetails (std::ostream &out, const std::string &fileName)

## Macro Definition Documentation

## PLUGINQUERY_H

#define PLUGINQUERY_H